# PHP JZON #

This is a small PHP library for parsing JZON documents. 


## What is JZON? ##

JZON is a *superset* of JSON which is designed to be actively edited by *humans*. 

PHP JZON features: 

*  no need to worry about trailing commas

*  one line comments starting with #

*  simple array keys don't need to be quoted with ""

*  parsing errors are shown in a friendly manner 

### Quick Example ###

Say, you have the following JZON file example.json:

```
["foo",
  "bar",
 {meaning_of_life: 42,
#NOTE: no comma ahead
#      and yes comments are supported!
   hey: "bar"
  "thatscool": 1
  }
]
```

Now you can parse it this way:

```
<?php

$str = file_get_contents('example.json');
var_dump(jzon_parse($str));
```

And it should output something as follows:

```
array(3) {
  [0]=>
  string(3) "foo"
  [1]=>
  string(3) "bar"
  [2]=>
  array(3) {
    ["thatscool"]=>
    int(1)
    ["meaning_of_life"]=>
    int(42)
    ["hey"]=>
    string(3) "bar"
  }
}
```